Order Tray | Contact Us | Home | SIG Lists

[aprssig] Map servers down?

Tom Russo russo at bogodyn.org
Tue Aug 5 23:03:03 UTC 2008


On Tue, Aug 05, 2008 at 06:38:10PM -0400, we recorded a bogon-computron collision of the <rtg at aapsc.com> flavor, containing:
> On Tue, 5 Aug 2008, Tom Russo wrote:
> 
> > The xastir mailing list would generally be a better place to get fast
> > answers for xastir-specific questions like this.
> >
> >
> Yes, If I had known it was an xastir issue.  My first thought was that it 
> was a server issue, so I posted it to the general list. (or is xastir the 
> only APRS client that supports these online maps?  I'm spoiled.) I'm sure 
> glad you and Curt monitor both lists!

But I don't think Gerry, who administers the TAMU WMS server, monitors this
one.

> I don't remember updating my system lately, but maybe kubuntu did it for 
> me while I was sleeping...  I couldn't find libgdal anywhere on the 
> system, so I installed it with `apt-get install libgdal1-1.4.0` which 
> fetched it and also triggered ldconfig for me.  But no joy, I still get 
> the same error.

That sounds like a problem with the ubuntu package.  I don't use the
Ubuntu package for GDAL because it's so old --- the current GDAL release is
1.5.x.  Nor do I use the package for Xastir, because it's three stable 
releases of Xastir behind the times.  But since GDAL support buys you 
almost nothing in xastir, it's not worth compiling in.  You could easily 
ignore the shared library warning, because all that means is that GDAL
support won't work.  But you might as well rebuild Xastir from source instead
because you'll get some of the improvements since 1.9.0.

Unfortunately, the pre-packaged versions from the Ubuntu repository install
Xastir into /usr and if you build it yourself it'll install into /usr/local.
That has consequences for your Xastir configuration files in ~/.xastir,
and will require you to move your maps directory if you have added anything
other than the maps distributed with the code.

I don't know if I'd trust the "build-dep" option of apt-get --- if they
got the gdal thing wrong, who knows what else they've done wrong (like
getting map caching right).  You're probably better off following the 
directions for building Xastir on Ubuntu that can be found on the wiki.

-- 
Tom Russo    KM5VY   SAR502   DM64ux          http://www.swcp.com/~russo/
Tijeras, NM  QRPL#1592 K2#398  SOC#236 AHTB#1 http://kevan.org/brain.cgi?DDTNM
 "Argue for your limitations and sure enough, they're yours."  -- R. Bach







More information about the aprssig mailing list